yii2-jp-postalcode-validator
============================

日本の郵便番号をチェックする Yii Framework2 用のバリデータです。

[![License](https://poser.pugx.org/jp3cki/yii2-jp-postalcode-validator/license.svg)](https://packagist.org/packages/jp3cki/yii2-jp-postalcode-validator)
[![Latest Stable Version](https://poser.pugx.org/jp3cki/yii2-jp-postalcode-validator/v/stable.svg)](https://packagist.org/packages/jp3cki/yii2-jp-postalcode-validator)
[![Build Status](https://travis-ci.org/fetus-hina/yii2-jp-postalcode-validator.svg?branch=master)](https://travis-ci.org/fetus-hina/yii2-jp-postalcode-validator)
[![Scrutinizer Code Quality](https://scrutinizer-ci.com/g/fetus-hina/yii2-jp-postalcode-validator/badges/quality-score.png?b=master)](https://scrutinizer-ci.com/g/fetus-hina/yii2-jp-postalcode-validator/?branch=master)
[![Code Climate](https://codeclimate.com/github/fetus-hina/yii2-jp-postalcode-validator/badges/gpa.svg)](https://codeclimate.com/github/fetus-hina/yii2-jp-postalcode-validator)
[![Test Coverage](https://codeclimate.com/github/fetus-hina/yii2-jp-postalcode-validator/badges/coverage.svg)](https://codeclimate.com/github/fetus-hina/yii2-jp-postalcode-validator)

動作環境
--------

- PHP 5.4 以上
- Yii framework 2.0

インストール
------------

1. [Composer](https://getcomposer.org/) をダウンロードして使用可能な状態にします。
2. 必要であれば Yii Framework2 のプロジェクトを作成します。
3. `php composer.phar require jp3cki/yii2-jp-postalcode-validator`

使い方
------

### JpPostalCodeValidator ###

このバリデータは入力が日本の郵便番号らしい文字列であることを検証します。

通常の郵便番号の他、事業所等に割り当てられた番号も検証することができます。

Model class example:
```php
namespace app\models;

use yii\base\Model;
use jp3cki\yii2\validators\JpPostalCodeValidator;

class YourCustomForm extends Model
{
    public $value;

    public function rules()
    {
        return [
            [['value'], JpPostalCodeValidator::className(),
                'hyphen' => null, // 意味は後述
            ],
        ];
    }
}
```

`hyphen`: ハイフンの許可状況を設定します。

  * `null`: ハイフンの有無を気にしません（ハイフンが記入されている場合は正しい位置にハイフンがある必要があります）。
  * `true`: ハイフンを必須とします。（正しい位置にハイフンがある必要があります）
  * `false`: ハイフンを許容しません。（数字のみの羅列である必要があります）


ライセンス
----------

[The MIT License](https://github.com/fetus-hina/yii2-jp-postalcode-validator/blob/master/LICENSE).

```
The MIT License (MIT)

Copyright (c) 2015 AIZAWA Hina <hina@bouhime.com>

Permission is hereby granted, free of charge, to any person obtaining a copy
of this software and associated documentation files (the "Software"), to deal
in the Software without restriction, including without limitation the rights
to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
copies of the Software, and to permit persons to whom the Software is
furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all
copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
SOFTWARE.
```

貢献
----


パッチ・issue の報告を歓迎します。

- このレポジトリを fork して、issue や feature ごとに別々のブランチを作成した上で作業をおこなってください。（master ブランチ上で作業すると Pull Request を作成・運用する際の妨げになります）
- 必ずテストを作成し、`make test` を実行してください。
- コーディングスタイルは PSR-2 です（メソッド・プロパティ・変数は lowerCamelCase、クラスは UpperCamelCase でお願いします）
    - `make check-style` を行うと簡単な静的解析とコーディングスタイルチェックが行えます。
    - 簡単な違反は `make fix-style` で自動修正できます。
- Pull Request は issue や feature ごとに作成してください。（1feature:1ブランチ:1PRになるはずです）
- Pull Request 作成時に行われる Travis-CI や他のフックによるチェック結果に目を通し、必要であれば修正をおこなってください。
    - 原則としてチェックを通らない状態では取り込みは行いません。
